import uuid

from fastapi import APIRouter, Security
from sqlalchemy import select

from ..core.security import get_current_active_user as get_user
from ..db.session import SessionFuture
from ..models.db_setting import DbSetting
from ..schemas.user_token import UserToken


router = APIRouter()


@router.get("/{id_}")
def get(
    id_: uuid.UUID,
    user: UserToken = Security(get_user),
):
    with SessionFuture() as db:
        data = db.execute(select(DbSetting).where(DbSetting.name == id_)).scalar_one()
        return {"id": data.id, "name": data.name, "details": data.data}
