import uuid

from pydantic import BaseModel, ConfigDict, Field

from . import to_camel


class PrinterIn(BaseModel):
    name: str = Field(..., min_length=1)
    address: str = Field(..., min_length=1)
    cut_code: str
    model_config = ConfigDict(str_strip_whitespace=True, alias_generator=to_camel, populate_by_name=True)


class Printer(PrinterIn):
    id_: uuid.UUID
    model_config = ConfigDict(str_strip_whitespace=True, alias_generator=to_camel, populate_by_name=True)


class PrinterBlank(PrinterIn):
    name: str
    address: str
    model_config = ConfigDict(str_strip_whitespace=True, alias_generator=to_camel, populate_by_name=True)


class PrinterLink(BaseModel):
    id_: uuid.UUID = Field(...)
    model_config = ConfigDict(alias_generator=to_camel, populate_by_name=True)
