import uuid

from pydantic import BaseModel, ConfigDict, Field

from . import to_camel


class SectionIn(BaseModel):
    name: str = Field(..., min_length=1)
    model_config = ConfigDict(str_strip_whitespace=True)


class Section(SectionIn):
    id_: uuid.UUID
    model_config = ConfigDict(str_strip_whitespace=True, alias_generator=to_camel, populate_by_name=True)


class SectionBlank(BaseModel):
    name: str
    model_config = ConfigDict(str_strip_whitespace=True)


class SectionLink(BaseModel):
    id_: uuid.UUID = Field(...)
    name: str | None = None
    model_config = ConfigDict(alias_generator=to_camel, populate_by_name=True)
