from pydantic import BaseModel, ConfigDict

from ..models.reporting_level import ReportingLevel
from ..models.voucher_type import VoucherType
from . import to_camel


class SettleOption(BaseModel):
    id_: int
    name: str
    voucher_type: VoucherType
    reporting_level: ReportingLevel
    has_reason: bool
    is_fixture: bool
    model_config = ConfigDict(str_strip_whitespace=True, alias_generator=to_camel, populate_by_name=True)
