import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

import { AuthGuard } from '../auth/auth-guard.service';

import { BeerSaleReportResolver } from './beer-sale-report-resolver.service';
import { BeerSaleReportComponent } from './beer-sale-report.component';

const beerSaleReportRoutes: Routes = [
  {
    path: '',
    component: BeerSaleReportComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Beer Sale Report',
    },
    resolve: {
      info: BeerSaleReportResolver,
    },
    runGuardsAndResolvers: 'always',
  },
];

@NgModule({
  imports: [CommonModule, RouterModule.forChild(beerSaleReportRoutes)],
  exports: [RouterModule],
  providers: [BeerSaleReportResolver],
})
export class BeerSaleReportRoutingModule {}
