import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

import { AuthGuard } from '../auth/auth-guard.service';

import { BillSettlementReportResolver } from './bill-settlement-report-resolver.service';
import { BillSettlementReportComponent } from './bill-settlement-report.component';

const billSettlementReportRoutes: Routes = [
  {
    path: '',
    component: BillSettlementReportComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Bill Settlement Report',
    },
    resolve: {
      info: BillSettlementReportResolver,
    },
    runGuardsAndResolvers: 'always',
  },
];

@NgModule({
  imports: [CommonModule, RouterModule.forChild(billSettlementReportRoutes)],
  exports: [RouterModule],
  providers: [BillSettlementReportResolver],
})
export class BillSettlementReportRoutingModule {}
