import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot } from '@angular/router';
import { Observable } from 'rxjs';

import { User } from '../core/user';

import { CashierReportService } from './cashier-report.service';

@Injectable({
  providedIn: 'root',
})
export class ActiveCashiersResolver {
  constructor(private ser: CashierReportService) {}

  resolve(route: ActivatedRouteSnapshot): Observable<User[]> {
    const startDate = route.queryParamMap.get('startDate') ?? null;
    const finishDate = route.queryParamMap.get('finishDate') ?? null;
    return this.ser.activeCashiers(startDate, finishDate);
  }
}
