import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot } from '@angular/router';
import { Observable } from 'rxjs';

import { Customer } from '../core/customer';

import { CustomerService } from './customer.service';

@Injectable({
  providedIn: 'root',
})
export class CustomerResolver {
  constructor(private ser: CustomerService) {}

  resolve(route: ActivatedRouteSnapshot): Observable<Customer> {
    const id = route.paramMap.get('id');
    return this.ser.get(id);
  }
}
