import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot } from '@angular/router';
import { Observable } from 'rxjs';

import { Device } from '../core/device';

import { DeviceService } from './device.service';

@Injectable({
  providedIn: 'root',
})
export class DeviceResolver {
  constructor(private ser: DeviceService) {}

  resolve(route: ActivatedRouteSnapshot): Observable<Device> {
    const id = route.paramMap.get('id');
    return this.ser.get(id);
  }
}
