import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot } from '@angular/router';
import { Observable } from 'rxjs';

import { DiscountReport } from './discount-report';
import { DiscountReportService } from './discount-report.service';

@Injectable({
  providedIn: 'root',
})
export class DiscountReportResolver {
  constructor(private ser: DiscountReportService) {}

  resolve(route: ActivatedRouteSnapshot): Observable<DiscountReport> {
    const startDate = route.queryParamMap.get('startDate') ?? null;
    const finishDate = route.queryParamMap.get('finishDate') ?? null;
    return this.ser.get(startDate, finishDate);
  }
}
