import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot } from '@angular/router';
import { Observable } from 'rxjs';

import { MenuCategory } from '../core/menu-category';

import { MenuCategoryService } from './menu-category.service';

@Injectable({
  providedIn: 'root',
})
export class MenuCategoryResolver {
  constructor(private ser: MenuCategoryService) {}

  resolve(route: ActivatedRouteSnapshot): Observable<MenuCategory> {
    const id = route.paramMap.get('id');
    return this.ser.get(id);
  }
}
