import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

import { AuthGuard } from '../auth/auth-guard.service';

import { ModifierCategoryDetailComponent } from './modifier-category-detail/modifier-category-detail.component';
import { ModifierCategoryListComponent } from './modifier-category-list/modifier-category-list.component';
import { ModifierCategoryListResolver } from './modifier-category-list-resolver.service';
import { ModifierCategoryResolver } from './modifier-category-resolver.service';

const modifierCategoriesRoutes: Routes = [
  {
    path: '',
    component: ModifierCategoryListComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Modifiers',
    },
    resolve: {
      list: ModifierCategoryListResolver,
    },
  },
  {
    path: 'new',
    component: ModifierCategoryDetailComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Modifiers',
    },
    resolve: {
      item: ModifierCategoryResolver,
    },
  },
  {
    path: ':id',
    component: ModifierCategoryDetailComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Modifiers',
    },
    resolve: {
      item: ModifierCategoryResolver,
    },
  },
];

@NgModule({
  imports: [CommonModule, RouterModule.forChild(modifierCategoriesRoutes)],
  exports: [RouterModule],
  providers: [ModifierCategoryListResolver, ModifierCategoryResolver],
})
export class ModifierCategoriesRoutingModule {}
