import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot } from '@angular/router';
import { Observable } from 'rxjs';

import { ModifierCategory } from '../core/modifier-category';

import { ModifierCategoryService } from './modifier-category.service';

@Injectable({
  providedIn: 'root',
})
export class ModifierCategoryResolver {
  constructor(private ser: ModifierCategoryService) {}

  resolve(route: ActivatedRouteSnapshot): Observable<ModifierCategory> {
    const id = route.paramMap.get('id');
    return this.ser.get(id);
  }
}
