import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

import { AuthGuard } from '../auth/auth-guard.service';

import { PrinterDetailComponent } from './printer-detail/printer-detail.component';
import { PrinterListComponent } from './printer-list/printer-list.component';
import { PrinterListResolver } from './printer-list-resolver.service';
import { PrinterResolver } from './printer-resolver.service';

const printersRoutes: Routes = [
  {
    path: '',
    component: PrinterListComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Printers',
    },
    resolve: {
      list: PrinterListResolver,
    },
  },
  {
    path: 'new',
    component: PrinterDetailComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Printers',
    },
    resolve: {
      item: PrinterResolver,
    },
  },
  {
    path: ':id',
    component: PrinterDetailComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Printers',
    },
    resolve: {
      item: PrinterResolver,
    },
  },
];

@NgModule({
  imports: [CommonModule, RouterModule.forChild(printersRoutes)],
  exports: [RouterModule],
  providers: [PrinterListResolver, PrinterResolver],
})
export class PrintersRoutingModule {}
