import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

import { AuthGuard } from '../auth/auth-guard.service';

import { ProductSaleReportResolver } from './product-sale-report-resolver.service';
import { ProductSaleReportComponent } from './product-sale-report.component';

const productSaleReportRoutes: Routes = [
  {
    path: '',
    component: ProductSaleReportComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Product Sale Report',
    },
    resolve: {
      info: ProductSaleReportResolver,
    },
    runGuardsAndResolvers: 'always',
  },
];

@NgModule({
  imports: [CommonModule, RouterModule.forChild(productSaleReportRoutes)],
  exports: [RouterModule],
  providers: [ProductSaleReportResolver],
})
export class ProductSaleReportRoutingModule {}
