import { DataSource } from '@angular/cdk/collections';
import { Observable } from 'rxjs';
import { tap } from 'rxjs/operators';

import { Product } from '../../core/product';

export class SaleCategoryDetailDatasource extends DataSource<Product> {
  private data: Product[] = [];

  constructor(private readonly dataObs: Observable<Product[]>) {
    super();
    this.dataObs = dataObs.pipe(
      tap((x) => {
        this.data = x;
      }),
    );
  }

  connect(): Observable<Product[]> {
    return this.dataObs;
  }

  disconnect() {}
}
