import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot } from '@angular/router';
import { Observable } from 'rxjs';

import { SaleReport } from './sale-report';
import { SaleReportService } from './sale-report.service';

@Injectable({
  providedIn: 'root',
})
export class SaleReportResolver {
  constructor(private ser: SaleReportService) {}

  resolve(route: ActivatedRouteSnapshot): Observable<SaleReport> {
    const startDate = route.queryParamMap.get('startDate') ?? null;
    const finishDate = route.queryParamMap.get('finishDate') ?? null;
    return this.ser.get(startDate, finishDate);
  }
}
