import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot } from '@angular/router';
import { Observable } from 'rxjs';

import { SettleOption } from '../core/settle-option';

import { SettleOptionService } from './settle-option.service';

@Injectable({
  providedIn: 'root',
})
export class SettleOptionResolver {
  constructor(private ser: SettleOptionService) {}

  resolve(route: ActivatedRouteSnapshot): Observable<SettleOption> {
    const id = route.paramMap.get('id');
    return this.ser.get(id);
  }
}
