import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot } from '@angular/router';
import { Observable } from 'rxjs';

import { TaxReport } from './tax-report';
import { TaxReportService } from './tax-report.service';

@Injectable({
  providedIn: 'root',
})
export class TaxReportResolver {
  constructor(private ser: TaxReportService) {}

  resolve(route: ActivatedRouteSnapshot): Observable<TaxReport> {
    const startDate = route.queryParamMap.get('startDate') ?? null;
    const finishDate = route.queryParamMap.get('finishDate') ?? null;
    return this.ser.get(startDate, finishDate);
  }
}
