import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot } from '@angular/router';
import { Observable } from 'rxjs';

import { Tax } from '../core/tax';

import { TaxService } from './tax.service';

@Injectable({
  providedIn: 'root',
})
export class TaxResolver {
  constructor(private ser: TaxService) {}

  resolve(route: ActivatedRouteSnapshot): Observable<Tax> {
    const id = route.paramMap.get('id');
    return this.ser.get(id);
  }
}
