import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

import { AuthGuard } from '../auth/auth-guard.service';
import { MenuCategoryListResolver } from '../menu-category/menu-category-list-resolver.service';

import { UpdateProductPricesResolver } from './update-product-prices-resolver.service';
import { UpdateProductPricesComponent } from './update-product-prices.component';

const pupdateProductPricesRoutes: Routes = [
  {
    path: '',
    component: UpdateProductPricesComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Products',
    },
    resolve: {
      menuCategories: MenuCategoryListResolver,
      info: UpdateProductPricesResolver,
    },
    runGuardsAndResolvers: 'always',
  },
  {
    path: ':id',
    component: UpdateProductPricesComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Products',
    },
    resolve: {
      menuCategories: MenuCategoryListResolver,
      info: UpdateProductPricesResolver,
    },
    runGuardsAndResolvers: 'always',
  },
];

@NgModule({
  imports: [CommonModule, RouterModule.forChild(pupdateProductPricesRoutes)],
  exports: [RouterModule],
  providers: [UpdateProductPricesResolver],
})
export class UpdateProductPricesRoutingModule {}
