from dotenv import load_dotenv
from pydantic import BaseSettings


class Settings(BaseSettings):
    REDIS_HOST: str = "127.0.0.1"
    REDIS_PORT: int = 6379
    QUEUE_NAME: str = "arq:queue"

    class Config:
        case_sensitive = True
        env_file = ".env"


load_dotenv()
settings = Settings()
